
Redmine - Defect #2990

Ruby 1.9 - wrong number of arguments (1 for 0) on rake db:migrate

2009-03-17 17:03 - Manatsawin Hanmongkolchai

Status: Closed Start date: 2009-03-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Database Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

whs@WHSServer1 /var/redmine % sudo rake db:migrate RAILS_ENV="production"  --trace

(in /var/redmine)

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute db:migrate

==  AddChangesetsUserId: migrating ============================================

-- add_column(:changesets, :user_id, :integer, {:default=>nil})

   -> 0.2199s

==  AddChangesetsUserId: migrated (0.2204s) ===================================

==  PopulateChangesetsUserId: migrating =======================================

==  PopulateChangesetsUserId: migrated (0.0463s) ==============================

==  AddCustomFieldsEditable: migrating ========================================

-- add_column(:custom_fields, :editable, :boolean, {:default=>true})

   -> 0.0246s

==  AddCustomFieldsEditable: migrated (0.0250s) ===============================

==  SetCustomFieldsEditable: migrating ========================================

==  SetCustomFieldsEditable: migrated (0.0044s) ===============================

==  AddProjectsLftAndRgt: migrating ===========================================

-- add_column(:projects, :lft, :integer)

   -> 0.0466s

-- add_column(:projects, :rgt, :integer)

   -> 0.0069s

==  AddProjectsLftAndRgt: migrated (0.0542s) ==================================

==  BuildProjectsTree: migrating ==============================================

rake aborted!

An error has occurred, all later migrations canceled:

wrong number of arguments (1 for 0)

/var/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:192:in `call'

/var/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:192:in `block in rebuild!

'

/var/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `each'

/var/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `rebuild!'

/var/redmine/db/migrate//105_build_projects_tree.rb:3:in `up'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:280:in `block in m

igrate'

/usr/lib/ruby/1.9.0/benchmark.rb:293:in `measure'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:280:in `migrate'

(__DELEGATION__):2:in `migrate'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:480:in `block (2 l

evels) in migrate'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:556:in `call'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:556:in `ddl_transa

ction'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:479:in `block in m
igrate'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:466:in `each'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:466:in `migrate'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:394:in `up'

/usr/lib/ruby/gems/1.9.0/gems/activerecord-2.2.2/lib/active_record/migration.rb:377:in `migrate'

/usr/lib/ruby/gems/1.9.0/gems/rails-2.2.2/lib/tasks/databases.rake:111:in `block (2 levels) in <to

p (required)>'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:617:in `call'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:617:in `block in execute'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:612:in `each'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:612:in `execute'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:578:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.0/monitor.rb:190:in `mon_synchronize'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:571:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:564:in `invoke'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:2027:in `invoke_task'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:2005:in `block (2 levels) in top_level'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:2005:in `each'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:2005:in `block in top_level'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:1999:in `top_level'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:1977:in `block in run'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/lib/rake.rb:1974:in `run'

/usr/lib/ruby/gems/1.9.0/gems/rake-0.8.4/bin/rake:31:in `<top (required)>'

/usr/bin/rake:19:in `load'

/usr/bin/rake:19:in `<main>'

sudo rake db:migrate RAILS_ENV="production" --trace  5.92s user 0.38s system 90% cpu 6.990 total

1 whs@WHSServer1 /var/redmine % rake --version

rake, version 0.8.4

whs@WHSServer1 /var/redmine % rails --version

Rails 2.3.2

whs@WHSServer1 /var/redmine % gem --version

1.3.1

1 whs@WHSServer1 /var/redmine % ruby --version

ruby 1.9.0 (2008-06-20 revision 17482) [i486-linux]

1 whs@WHSServer1 /var/redmine % svn info

Path: .

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 2594

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 2594

Last Changed Date: 2009-03-15 17:49:18 +0700 (Sun, 15 Mar 2009)

 please note that I commented this line out because of error

/var/redmine/lib/redmine/export/pdf.rb:87: invalid multibyte char

/var/redmine/lib/redmine/export/pdf.rb:87: invalid multibyte char

/var/redmine/lib/redmine/export/pdf.rb:87: syntax error, unexpected $end, expecting ')'

          txt = txt.gsub(/[â€œâ€�]/, '"') if txt

History

#1 - 2009-03-17 18:12 - Jean-Philippe Lang

Redmine is not tested with ruby 1.9. I'll try to do some testing with this development release but you should consider using either 1.8.6 or 1.8.7

#2 - 2009-03-19 06:45 - Eric Davis

- Subject changed from wrong number of arguments (1 for 0) on rake db:migrate to Ruby 1.9 - wrong number of arguments (1 for 0) on rake

db:migrate

Jean-Philippe Lang wrote:
Redmine is not tested with ruby 1.9. I'll try to do some testing with this development release but you should consider using either 1.8.6 or 1.8.7

 Rails 2.3 supports Ruby 1.9, though I'm not sure about all the libraries.  I'd recommend we:

1. Update Redmine to Rails 2.3 in a branch

2. Fix things that break

3. Integrate Rails 2.3 to trunk

4. Setup a Ruby 1.9 testing branch

5. Test libraries and Redmine with 1.9.1

6. Integrate patches to trunk as they are discovered

#3 - 2009-03-19 08:53 - Markus Knittig

+1

Update to Rails 2.3 and Ruby 1.9.1 would be good (especially performance-wise)...

#4 - 2009-03-19 19:43 - Jean-Philippe Lang

- Status changed from New to 7

- Assignee set to Jean-Philippe Lang

I'm on it.

#5 - 2010-06-20 05:42 - Eric Davis

- Status changed from 7 to Closed

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

- Resolution set to Fixed

Just tested this again on trunk with ruby 1.9.1p378, no issues running db:migrate.  I'm assuming it's been fixed since this bug was reported.
